Bug 152116 - [MAINTAINER UPDATE] net-mgmt/torrus: 1.0.8 to 1.0.9
Summary: [MAINTAINER UPDATE] net-mgmt/torrus: 1.0.8 to 1.0.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pav Lucistnik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-10 19:30 UTC by corsmith
Modified: 2010-11-26 11:30 UTC (History)
0 users

See Also:


Attachments
file.diff (22.89 KB, patch)
2010-11-10 19:30 UTC, corsmith
no flags Details | Diff
patch-torrus-1.0.9-take3.txt (25.60 KB, patch)
2010-11-26 11:02 UTC, corsmith
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description corsmith 2010-11-10 19:30:08 UTC
Maintainer update to torrus 1.0.9

Also, please update /usr/ports/UPDATING with an entry similar to:

20101110:
  AFFECTS: users of net-mgmt/torrus
  AUTHOR: corsmith@gmail.com

  torrus update to 1.0.9. This release drops support for mod_perl and mod_perl2
  and switches to fastcgi. The varhome has also been switched from
  /usr/local/var/torrus to the more standard /var/torrus.  Please pay careful
  attention when upgrading.

Fix: Patch attached

Patch attached with submission follows:
How-To-Repeat: Patch attached
Comment 1 Pav Lucistnik freebsd_committer 2010-11-18 13:58:16 UTC
State Changed
From-To: open->feedback

This port leaves a couple of files behind after deinstallation 

495022        4 drwxr-xr-x    4 root             wheel                 512 Nov 18 14:26 usr/local/etc/torrus 
1361        4 drwxr-xr-x    2 root             wheel                 512 Nov 18 14:26 usr/local/etc/torrus/conf 
1370        4 -r--r--r--    1 root             wheel                  78 Nov 18 14:26 usr/local/etc/torrus/conf/devdiscover-siteconfig.pl 
1372        4 -r--r--r--    1 root             wheel                 401 Nov 18 14:26 usr/local/etc/torrus/conf/email-siteconfig.pl 
1374        4 -r--r--r--    1 root             wheel                 709 Nov 18 14:26 usr/local/etc/torrus/conf/notify-siteconfig.pl 
1376        4 -r--r--r--    1 root             wheel                 363 Nov 18 14:26 usr/local/etc/torrus/conf/snmptrap-siteconfig.pl 
1380        4 -r--r--r--    1 root             wheel                 661 Nov 18 14:26 usr/local/etc/torrus/conf/torrus-siteconfig.pl 
1575        4 drwxr-xr-x    2 root             wheel                 512 Nov 18 14:26 usr/local/etc/torrus/xmlconfig 
1576        4 -r--r--r--    1 root             wheel                 639 Nov 18 14:26 usr/local/etc/torrus/xmlconfig/site-global.xml 
165454       12 -r--r--r--    1 root             wheel                4707 Nov 18 14:26 usr/local/man/man1/torrus_flushmonitors.1 
165460       16 -r--r--r--    1 root             wheel                6487 Nov 18 14:26 usr/local/man/man1/torrus_nodeid.1 
165463       16 -r--r--r--    1 root             wheel                7787 Nov 18 14:26 usr/local/man/man1/torrus_snmpfailures.1 

Can you check this? 


Comment 2 Pav Lucistnik freebsd_committer 2010-11-18 13:58:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

Track
Comment 3 Pav Lucistnik freebsd_committer 2010-11-23 15:33:33 UTC
On 2010/11/23 16:29, Corey Smith wrote:
> They already are.
>
> # pkg_info -v torrus-1.0.9 | grep -i sample
> File: etc/torrus/conf/devdiscover-siteconfig.pl.sample
> File: etc/torrus/conf/email-siteconfig.pl.sample
> File: etc/torrus/conf/notify-siteconfig.pl.sample
> File: etc/torrus/conf/snmptrap-siteconfig.pl.sample
> File: etc/torrus/conf/torrus-siteconfig.pl.sample
> File: etc/torrus/xmlconfig/site-global.xml.sample
>
> It does the right thing if you use the package.  If you install via
> the port you get some leftover files because the make install copies
> the files to the original name + the original name .sample if the
> originals don't exist.

Right, so install from package differs to install from port.

You need to fix it, two ways to choose from:

1) stop port from installing original name

2) make package copy from .sample to .pl and delete on deinstall,
and fix it to remove .pl if it's identical to .sample on deinstall, per
http://www.freebsd.org/doc/en/books/porters-handbook/plist-config.html


-- 
Pav Lucistnik <pav@oook.cz>
               <pav@FreeBSD.org>
Comment 4 corsmith 2010-11-26 11:02:40 UTC
On Tue, Nov 23, 2010 at 10:33 AM, Pav Lucistnik <pav@freebsd.org> wrote:
> 2) make package copy from .sample to .pl and delete on deinstall,
> and fix it to remove .pl if it's identical to .sample on deinstall, per
> http://www.freebsd.org/doc/en/books/porters-handbook/plist-config.html

Thanks for keeping me honest.  Attached is the complete diff from
1.0.8 to 1.0.9 including all of your suggestions.

-Corey Smith
Comment 5 Pav Lucistnik freebsd_committer 2010-11-26 11:16:20 UTC
State Changed
From-To: feedback->closed

Committed, thanks!
Comment 6 dfilter service freebsd_committer 2010-11-26 11:16:39 UTC
pav         2010-11-26 11:16:35 UTC

  FreeBSD ports repository

  Modified files:
    net-mgmt/torrus      Makefile distinfo pkg-descr pkg-message 
                         pkg-plist 
    net-mgmt/torrus/files patch-configs_Makefile.in 
                          patch-xmlconfig_Makefile.in 
  Added files:
    net-mgmt/torrus/files patch-perllib_Makefile.in 
  Log:
  - Update to 1.0.9
  
  PR:             ports/152116
  Submitted by:   Corey Smith <corsmith@gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.10      +16 -38    ports/net-mgmt/torrus/Makefile
  1.7       +2 -3      ports/net-mgmt/torrus/distinfo
  1.2       +6 -7      ports/net-mgmt/torrus/files/patch-configs_Makefile.in
  1.1       +27 -0     ports/net-mgmt/torrus/files/patch-perllib_Makefile.in (new)
  1.2       +6 -10     ports/net-mgmt/torrus/files/patch-xmlconfig_Makefile.in
  1.2       +0 -3      ports/net-mgmt/torrus/pkg-descr
  1.2       +5 -0      ports/net-mgmt/torrus/pkg-message
  1.6       +159 -133  ports/net-mgmt/torrus/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"